## golang-github-aws-aws-sdk-go-v2 1.17.1

=== Makefile ===
# Lint rules to ignore
LINTIGNORESINGLEFIGHT='internal/sync/singleflight/singleflight.go:.+error should be the last type'
LINT_IGNORE_S3MANAGER_INPUT='feature/s3/manager/upload.go:.+struct field SSEKMSKeyId should be SSEKMSKeyID'

UNIT_TEST_TAGS=
BUILD_TAGS=-tags "example,codegen,integration,ec2env,perftest"

SMITHY_GO_SRC ?= $(shell pwd)/../smithy-go

SDK_MIN_GO_VERSION ?= 1.15

EACHMODULE_FAILFAST ?= true
EACHMODULE_FAILFAST_FLAG=-fail-fast=${EACHMODULE_FAILFAST}

EACHMODULE_CONCURRENCY ?= 1
EACHMODULE_CONCURRENCY_FLAG=-c ${EACHMODULE_CONCURRENCY}

EACHMODULE_SKIP ?=
EACHMODULE_SKIP_FLAG=-skip="${EACHMODULE_SKIP}"

EACHMODULE_FLAGS=${EACHMODULE_CONCURRENCY_FLAG} ${EACHMODULE_FAILFAST_FLAG} ${EACHMODULE_SKIP_FLAG}

# SDK's Core and client packages that are compatible with Go 1.9+.
SDK_CORE_PKGS=./aws/... ./internal/...
SDK_CLIENT_PKGS=./service/...
SDK_COMPA_PKGS=${SDK_CORE_PKGS} ${SDK_CLIENT_PKGS}

# SDK additional packages that are used for development of the SDK.
SDK_EXAMPLES_PKGS=
SDK_ALL_PKGS=${SDK_COMPA_PKGS} ${SDK_EXAMPLES_PKGS}

RUN_NONE=-run NONE
RUN_INTEG=-run '^TestInteg_'

CODEGEN_RESOURCES_PATH=$(shell pwd)/codegen/smithy-aws-go-codegen/src/main/resources/software/amazon/smithy/aws/go/codegen
CODEGEN_API_MODELS_PATH=$(shell pwd)/codegen/sdk-codegen/aws-models
ENDPOINTS_JSON=${CODEGEN_RESOURCES_PATH}/endpoints.json
ENDPOINT_PREFIX_JSON=${CODEGEN_RESOURCES_PATH}/endpoint-prefix.json

LICENSE_FILE=$(shell pwd)/LICENSE.txt

SMITHY_GO_VERSION ?=
PRE_RELEASE_VERSION ?=
RELEASE_MANIFEST_FILE ?=
RELEASE_CHGLOG_DESC_FILE ?=

REPOTOOLS_VERSION ?= latest
REPOTOOLS_MODULE = github.com/awslabs/aws-go-multi-module-repository-tools
REPOTOOLS_CMD_ANNOTATE_STABLE_GEN = ${REPOTOOLS_MODULE}/cmd/annotatestablegen@${REPOTOOLS_VERSION}
REPOTOOLS_CMD_MAKE_RELATIVE = ${REPOTOOLS_MODULE}/cmd/makerelative@${REPOTOOLS_VERSION}
REPOTOOLS_CMD_CALCULATE_RELEASE = ${REPOTOOLS_MODULE}/cmd/calculaterelease@${REPOTOOLS_VERSION}
REPOTOOLS_CMD_UPDATE_REQUIRES = ${REPOTOOLS_MODULE}/cmd/updaterequires@${REPOTOOLS_VERSION}
REPOTOOLS_CMD_UPDATE_MODULE_METADATA = ${REPOTOOLS_MODULE}/cmd/updatemodulemeta@${REPOTOOLS_VERSION}
REPOTOOLS_CMD_GENERATE_CHANGELOG = ${REPOTOOLS_MODULE}/cmd/generatechangelog@${REPOTOOLS_VERSION}
REPOTOOLS_CMD_CHANGELOG = ${REPOTOOLS_MODULE}/cmd/changelog@${REPOTOOLS_VERSION}
REPOTOOLS_CMD_TAG_RELEASE = ${REPOTOOLS_MODULE}/cmd/tagrelease@${REPOTOOLS_VERSION}
REPOTOOLS_CMD_EDIT_MODULE_DEPENDENCY = ${REPOTOOLS_MODULE}/cmd/editmoduledependency@${REPOTOOLS_VERSION}

REPOTOOLS_CALCULATE_RELEASE_VERBOSE ?= false
REPOTOOLS_CALCULATE_RELEASE_VERBOSE_FLAG=-v=${REPOTOOLS_CALCULATE_RELEASE_VERBOSE}

REPOTOOLS_CALCULATE_RELEASE_ADDITIONAL_ARGS ?=

ifneq ($(PRE_RELEASE_VERSION),)
	REPOTOOLS_CALCULATE_RELEASE_ADDITIONAL_ARGS += -preview=${PRE_RELEASE_VERSION}
endif

.PHONY: all
all: generate unit

###################
# Code Generation #
###################
.PHONY: generate smithy-generate smithy-build smithy-build-% smithy-clean smithy-go-publish-local format \
gen-config-asserts gen-repo-mod-replace gen-mod-replace-smithy gen-mod-dropreplace-smithy-% gen-aws-ptrs tidy-modules-% \
add-module-license-files sync-models sync-endpoints-model sync-endpoints.json clone-v1-models gen-internal-codegen \
sync-api-models copy-attributevalue-feature min-go-version-% update-requires smithy-annotate-stable \
update-module-metadata download-modules-%

generate: smithy-generate update-requires gen-repo-mod-replace update-module-metadata smithy-annotate-stable \
gen-config-asserts gen-internal-codegen copy-attributevalue-feature gen-mod-dropreplace-smithy-. min-go-version-. \
tidy-modules-. add-module-license-files gen-aws-ptrs format

smithy-generate:
	cd codegen && ./gradlew clean build -Plog-tests && ./gradlew clean

smithy-build:
	cd codegen && ./gradlew clean build -Plog-tests

smithy-build-%:
	@# smithy-build- command that uses the pattern to define build filter that
	@# the smithy API model service id starts with. Strips off the
	@# "smithy-build-".
	@#
	@# e.g. smithy-build-com.amazonaws.rds
	@# e.g. smithy-build-com.amazonaws.rds#AmazonRDSv19
	cd codegen && \
	SMITHY_GO_BUILD_API="$(subst smithy-build-,,$@)" ./gradlew clean build -Plog-tests

smithy-annotate-stable:
	go run ${REPOTOOLS_CMD_ANNOTATE_STABLE_GEN}

smithy-clean:
	cd codegen && ./gradlew clean

smithy-go-publish-local:
	rm -rf /tmp/smithy-go-local
	git clone https://github.com/aws/smithy-go /tmp/smithy-go-local
	make -C /tmp/smithy-go-local smithy-clean smithy-publish-local

format:
	gofmt -w -s .

gen-config-asserts:
	@echo "Generating SDK config package implementor assertions"
	cd config \
	    && go mod tidy \
	    && go generate

gen-internal-codegen:
	@echo "Generating internal/codegen"
	cd internal/codegen \
		&& go generate

gen-repo-mod-replace:
	@echo "Generating go.mod replace for repo modules"
	go run ${REPOTOOLS_CMD_MAKE_RELATIVE}

gen-mod-replace-smithy-%:
	@# gen-mod-replace-smithy- command that uses the pattern to define build filter that
	@# for modules to add replace to. Strips off the "gen-mod-replace-smithy-".
	@#
	@# SMITHY_GO_SRC environment variable is the path to add replace to
	@#
	@# e.g. gen-mod-replace-smithy-service_ssooidc
	cd ./internal/repotools/cmd/eachmodule \
		&& go run . -p $(subst _,/,$(subst gen-mod-replace-smithy-,,$@)) ${EACHMODULE_FLAGS} \
			"go mod edit -replace github.com/aws/smithy-go=${SMITHY_GO_SRC}"

gen-mod-dropreplace-smithy-%:
	@# gen-mod-dropreplace-smithy- command that uses the pattern to define build filter that
	@# for modules to add replace to. Strips off the "gen-mod-dropreplace-smithy-".
	@#
	@# e.g. gen-mod-dropreplace-smithy-service_ssooidc
	cd ./internal/repotools/cmd/eachmodule \
		&& go run . -p $(subst _,/,$(subst gen-mod-dropreplace-smithy-,,$@)) ${EACHMODULE_FLAGS} \
			"go mod edit -dropreplace github.com/aws/smithy-go"

gen-aws-ptrs:
	cd aws && go generate

tidy-modules-%:
	@# tidy command that uses the pattern to define the root path that the
	@# module testing will start from. Strips off the "tidy-modules-" and
	@# replaces all "_" with "/".
	@#
	@# e.g. tidy-modules-internal_protocoltest
	cd ./internal/repotools/cmd/eachmodule \
		&& go run . -p $(subst _,/,$(subst tidy-modules-,,$@)) ${EACHMODULE_FLAGS} \
		"go mod tidy"

download-modules-%:
	@# download command that uses the pattern to define the root path that the
	@# module testing will start from. Strips off the "download-modules-" and
	@# replaces all "_" with "/".
	@#
	@# e.g. download-modules-internal_protocoltest
	cd ./internal/repotools/cmd/eachmodule \
		&& go run . -p $(subst _,/,$(subst download-modules-,,$@)) ${EACHMODULE_FLAGS} \
		"go mod download all"

add-module-license-files:
	cd internal/repotools/cmd/eachmodule && \
    	go run . -skip-root \
            "cp $(LICENSE_FILE) ."

sync-models: sync-endpoints-model sync-api-models

sync-endpoints-model: sync-endpoints.json

sync-endpoints.json:
	[[ ! -z "${ENDPOINTS_MODEL}" ]] && cp ${ENDPOINTS_MODEL} ${ENDPOINTS_JSON} || echo "ENDPOINTS_MODEL not set, must not be empty"

clone-v1-models:
	rm -rf /tmp/aws-sdk-go-model-sync
	git clone https://github.com/aws/aws-sdk-go.git --depth 1 /tmp/aws-sdk-go-model-sync

sync-api-models:
	cd internal/repotools/cmd/syncAPIModels && \
		go run . \
			-m ${API_MODELS} \
			-o ${CODEGEN_API_MODELS_PATH}

copy-attributevalue-feature:
	cd ./feature/dynamodbstreams/attributevalue && \
	find . -name "*.go" | grep -v "doc.go" | xargs -I % rm % && \
	find ../../dynamodb/attributevalue -name "*.go" | grep -v "doc.go" | xargs -I % cp % . && \
	ls *.go | grep -v "convert.go" | grep -v "doc.go" | \
		xargs -I % sed -i.bk -E 's:github.com/aws/aws-sdk-go-v2/(service|feature)/dynamodb:github.com/aws/aws-sdk-go-v2/\1/dynamodbstreams:g' % &&  \
	ls *.go | grep -v "convert.go" | grep -v "doc.go" | \
		xargs -I % sed -i.bk 's:DynamoDB:DynamoDBStreams:g' % &&  \
	ls *.go | grep -v "doc.go" | \
		xargs -I % sed -i.bk 's:dynamodb\.:dynamodbstreams.:g' % &&  \
	sed -i.bk 's:streams\.:ddbtypes.:g' "convert.go" && \
	sed -i.bk 's:ddb\.:streams.:g' "convert.go" &&  \
	sed -i.bk 's:ddbtypes\.:ddb.:g' "convert.go" &&\
	sed -i.bk 's:Streams::g' "convert.go" && \
	rm -rf ./*.bk && \
	go mod tidy && \
	gofmt -w -s . && \
	go test .

min-go-version-%:
	cd ./internal/repotools/cmd/eachmodule \
		&& go run . -p $(subst _,/,$(subst min-go-version-,,$@)) ${EACHMODULE_FLAGS} \
		"go mod edit -go=${SDK_MIN_GO_VERSION}"

update-requires:
	go run ${REPOTOOLS_CMD_UPDATE_REQUIRES}

update-module-metadata:
	go run ${REPOTOOLS_CMD_UPDATE_MODULE_METADATA}

################
# Unit Testing #
################
.PHONY: unit unit-race unit-test unit-race-test unit-race-modules-% unit-modules-% build build-modules-% \
go-build-modules-% test test-race-modules-% test-modules-% cachedep cachedep-modules-% api-diff-modules-%

unit: lint unit-modules-.
unit-race: lint unit-race-modules-.

unit-test: test-modules-.
unit-race-test: test-race-modules-.

unit-race-modules-%:
	@# unit command that uses the pattern to define the root path that the
	@# module testing will start from. Strips off the "unit-race-modules-" and
	@# replaces all "_" with "/".
	@#
	@# e.g. unit-race-modules-internal_protocoltest
	cd ./internal/repotools/cmd/eachmodule \
		&& go run . -p $(subst _,/,$(subst unit-race-modules-,,$@)) ${EACHMODULE_FLAGS} \
		"go vet ${BUILD_TAGS} --all ./..." \
		"go test ${BUILD_TAGS} ${RUN_NONE} ./..." \
		"go test -timeout=1m ${UNIT_TEST_TAGS} -race -cpu=4 ./..."


unit-modules-%:
	@# unit command that uses the pattern to define the root path that the
	@# module testing will start from. Strips off the "unit-modules-" and
	@# replaces all "_" with "/".
	@#
	@# e.g. unit-modules-internal_protocoltest
	cd ./internal/repotools/cmd/eachmodule \
		&& go run . -p $(subst _,/,$(subst unit-modules-,,$@)) ${EACHMODULE_FLAGS} \
		"go vet ${BUILD_TAGS} --all ./..." \
		"go test ${BUILD_TAGS} ${RUN_NONE} ./..." \
		"go test -timeout=1m ${UNIT_TEST_TAGS} ./..."

build: build-modules-.

build-modules-%:
	@# build command that uses the pattern to define the root path that the
	@# module testing will start from. Strips off the "build-modules-" and
	@# replaces all "_" with "/".
	@#
	@# e.g. build-modules-internal_protocoltest
	cd ./internal/repotools/cmd/eachmodule \
		&& go run . -p $(subst _,/,$(subst build-modules-,,$@)) ${EACHMODULE_FLAGS} \
		"go test ${BUILD_TAGS} ${RUN_NONE} ./..."

go-build-modules-%:
	@# build command that uses the pattern to define the root path that the
	@# module testing will start from. Strips off the "build-modules-" and
	@# replaces all "_" with "/".
	@#
	@# Validates that all modules in the repo have buildable Go files.
	@#
	@# e.g. go-build-modules-internal_protocoltest
	cd ./internal/repotools/cmd/eachmodule \
		&& go run . -p $(subst _,/,$(subst go-build-modules-,,$@)) ${EACHMODULE_FLAGS} \
		"go build ${BUILD_TAGS} ./..."

test: test-modules-.

test-race-modules-%:
	@# Test command that uses the pattern to define the root path that the
	@# module testing will start from. Strips off the "test-race-modules-" and
	@# replaces all "_" with "/".
	@#
	@# e.g. test-race-modules-internal_protocoltest
	cd ./internal/repotools/cmd/eachmodule \
		&& go run . -p $(subst _,/,$(subst test-race-modules-,,$@)) ${EACHMODULE_FLAGS} \
		"go test -timeout=1m ${UNIT_TEST_TAGS} -race -cpu=4 ./..."

test-modules-%:
	@# Test command that uses the pattern to define the root path that the
	@# module testing will start from. Strips off the "test-modules-" and
	@# replaces all "_" with "/".
	@#
	@# e.g. test-modules-internal_protocoltest
	cd ./internal/repotools/cmd/eachmodule \
		&& go run . -p $(subst _,/,$(subst test-modules-,,$@)) ${EACHMODULE_FLAGS} \
		"go test -timeout=1m ${UNIT_TEST_TAGS} ./..."

cachedep: cachedep-modules-.

cachedep-modules-%:
	@# build command that uses the pattern to define the root path that the
	@# module caching will start from. Strips off the "cachedep-modules-" and
	@# replaces all "_" with "/".
	@#

=== debian/changelog ===
golang-github-aws-aws-sdk-go-v2 (1.17.1-1) unstable; urgency=medium

  * Initial release (Closes: #1022937)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 28 Jan 2023 09:00:56 +0000

=== debian/control ===
Source: golang-github-aws-aws-sdk-go-v2
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-aws-aws-sdk-go-dev,
               golang-github-aws-smithy-go-dev,
               golang-github-google-go-cmp-dev,
               golang-github-jmespath-go-jmespath-dev,
               golang-golang-x-net-dev,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go-v2
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go-v2.git
Homepage: https://github.com/aws/aws-sdk-go-v2
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/aws/aws-sdk-go-v2

Package: golang-github-aws-aws-sdk-go-v2-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-aws-aws-sdk-go-dev,
         golang-github-aws-smithy-go-dev,
         golang-github-google-go-cmp-dev,
         golang-github-jmespath-go-jmespath-dev,
         golang-golang-x-net-dev,
         ${misc:Depends},
Description: AWS SDK for the Go programming language (library)
 aws-sdk-go-v2 is a replacement for the original AWS SDK for Go, currently
 packaged as golang-github-aws-aws-sdk-go. Version 2 uses a more modular
 interface, consistent with current Go packaging idioms.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := example/service internal/codegen/cmd internal/repotools

%:
	dh $@ --buildsystem=golang --builddirectory=_build

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/aws/aws-sdk-go-v2/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-aws-aws-sdk-go-v2 1.17.8

=== debian/changelog ===
golang-github-aws-aws-sdk-go-v2 (1.17.8-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete patches (applied upstream)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 06 Jul 2023 13:26:21 +0000

golang-github-aws-aws-sdk-go-v2 (1.17.1-3) unstable; urgency=medium

  * Team upload
  * Use git mode in uscan watch file
    Upstream has too many tags that causes pagination issue in http mode
  * Backport patch for broken v4a tests
  * Exclude benchmark in packaging
    And drop golang-github-aws-aws-sdk-go-dev from dependencies

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 21 Feb 2023 13:50:33 +0800

golang-github-aws-aws-sdk-go-v2 (1.17.1-2) unstable; urgency=medium

  * Source-only re-upload
  * Bump Standards-Version to 4.6.2 (no changes)
  * Add new 01-Fix-32-bit_test_overflows.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 30 Jan 2023 01:20:23 +0000

## golang-github-aws-aws-sdk-go-v2 1.24.1

=== debian/changelog ===
golang-github-aws-aws-sdk-go-v2 (1.24.1-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Anthony Fok <foka@debian.org>  Sat, 09 Mar 2024 23:21:35 -0700

golang-github-aws-aws-sdk-go-v2 (1.24.1-2) unstable; urgency=medium

  * Add new 0001-Fix-misalignment-of-struct-member.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 01 Mar 2024 12:33:02 +0000

golang-github-aws-aws-sdk-go-v2 (1.24.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.24.1
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Fri, 23 Feb 2024 15:40:45 -0700

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,12 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any,
-               golang-github-aws-aws-sdk-go-dev,
-               golang-github-aws-smithy-go-dev,
+               golang-any (>= 2:1.19~),
+               golang-github-aws-smithy-go-dev (>= 1.19.0),
                golang-github-google-go-cmp-dev,
                golang-github-jmespath-go-jmespath-dev,
                golang-golang-x-net-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go-v2
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go-v2.git
 Homepage: https://github.com/aws/aws-sdk-go-v2
@@ -22,8 +21,7 @@
 Package: golang-github-aws-aws-sdk-go-v2-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-aws-aws-sdk-go-dev,
-         golang-github-aws-smithy-go-dev,
+Depends: golang-github-aws-smithy-go-dev (>= 1.19.0),
          golang-github-google-go-cmp-dev,
          golang-github-jmespath-go-jmespath-dev,
          golang-golang-x-net-dev,

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/aws/aws-sdk-go-v2 \
  refs/tags/v?@ANY_VERSION@ debian

## golang-github-aws-aws-sdk-go-v2 1.26.1

=== debian/changelog ===
golang-github-aws-aws-sdk-go-v2 (1.26.1-1) unstable; urgency=medium

  * New upstream version 1.26.1
  * Update dependencies per go.mod
  * Bump Standards-Version to 4.7.0 (no change)
  * Remove 0001-Fix-misalignment-of-struct-member.patch which has been
    incorporated upstream.  Thanks to Daniel Swarbrick for the fix!

 -- Anthony Fok <foka@debian.org>  Fri, 26 Apr 2024 06:07:50 -0600

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any (>= 2:1.19~),
-               golang-github-aws-smithy-go-dev (>= 1.19.0),
-               golang-github-google-go-cmp-dev,
+               golang-github-aws-smithy-go-dev (>= 1.20.2),
                golang-github-jmespath-go-jmespath-dev,
                golang-golang-x-net-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go-v2
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go-v2.git
 Homepage: https://github.com/aws/aws-sdk-go-v2
@@ -21,8 +20,7 @@
 Package: golang-github-aws-aws-sdk-go-v2-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-aws-smithy-go-dev (>= 1.19.0),
-         golang-github-google-go-cmp-dev,
+Depends: golang-github-aws-smithy-go-dev (>= 1.20.2),
          golang-github-jmespath-go-jmespath-dev,
          golang-golang-x-net-dev,
          ${misc:Depends},

## golang-github-aws-aws-sdk-go-v2 1.30.3

=== debian/changelog ===
golang-github-aws-aws-sdk-go-v2 (1.30.3-1) unstable; urgency=medium

  * New upstream version 1.30.3
  * Bump versioned dependencies as per go.mod
  * Add myself to the list of Uploaders

 -- Anthony Fok <foka@debian.org>  Sun, 01 Sep 2024 08:05:04 -0600

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: golang-github-aws-aws-sdk-go-v2
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
+           Anthony Fok <foka@debian.org>,
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any (>= 2:1.19~),
-               golang-github-aws-smithy-go-dev (>= 1.20.2),
+               golang-any (>= 2:1.20~),
+               golang-github-aws-smithy-go-dev (>= 1.20.3),
                golang-github-jmespath-go-jmespath-dev,
                golang-golang-x-net-dev,
 Standards-Version: 4.7.0
@@ -20,7 +21,7 @@
 Package: golang-github-aws-aws-sdk-go-v2-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-aws-smithy-go-dev (>= 1.20.2),
+Depends: golang-github-aws-smithy-go-dev (>= 1.20.3),
          golang-github-jmespath-go-jmespath-dev,
          golang-golang-x-net-dev,
          ${misc:Depends},

## golang-github-aws-aws-sdk-go-v2 1.38.3

=== debian/changelog ===
golang-github-aws-aws-sdk-go-v2 (1.38.3-2) unstable; urgency=medium

  * Team upload.
  * update versioned Build-Depends: golang-any (>= 2:1.22~)

 -- Drew Parsons <dparsons@debian.org>  Mon, 02 Mar 2026 09:32:08 +0100

golang-github-aws-aws-sdk-go-v2 (1.38.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.38.3
    - versioned Depends: golang-github-aws-smithy-go-dev (>= 1.23.0~)
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Thu, 26 Feb 2026 13:06:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any (>= 2:1.20~),
-               golang-github-aws-smithy-go-dev (>= 1.20.3),
+               golang-any (>= 2:1.22~),
+               golang-github-aws-smithy-go-dev (>= 1.23.0~),
                golang-github-jmespath-go-jmespath-dev,
                golang-golang-x-net-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go-v2
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-aws-sdk-go-v2.git
 Homepage: https://github.com/aws/aws-sdk-go-v2
@@ -21,7 +21,7 @@
 Package: golang-github-aws-aws-sdk-go-v2-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-aws-smithy-go-dev (>= 1.20.3),
+Depends: golang-github-aws-smithy-go-dev (>= 1.23.0~),
          golang-github-jmespath-go-jmespath-dev,
          golang-golang-x-net-dev,
          ${misc:Depends},
